#include "stu.h"

int main( int argc, char *argv[] ) {
   int debug_level = 0;
   if( argc > 1 ) debug_level = atoi( argv[ 1 ] );
   while( true ) {
      string txt, pat;
      cout << "> ";
      getline( cin, txt );
      stree st( txt );
      if( debug_level >= 1 ) { 
         cout << "узлов " << st.nodes() << " рёбер " 
              << st.nodes() - 1 << " длиной:" << endl;
         int ans = 0;
         for( int i = 1; i < st.nodes(); i++ ) {
            ans += st.len[ i ];
            cout << st.len[ i ] << "  ";
         }
         cout << "=> " << ans << endl;
         st.show_internal();
      }
      if( debug_level >= 2 ) st.show_tree();
      while( true ) {
         cout << "? ";
         getline( cin, pat );
         if( pat.empty() ) break;
         vector<int> vpos = st.find_pos( pat );
         cout << txt << " <- " << pat << " - ";
         if( vpos.size() > 0 ) {
            cout << "found in position: ";
            for( int x : vpos )
               cout << x << " ";
         }
         else
            cout << "not found!";
         cout << endl;
      }
   }
}
